Skip to main content
PATCH
/
workstreams
/
{id}
/
goal
Set the current goal on a workstream
curl --request PATCH \
  --url https://openlens.com/api/workstreams/{id}/goal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "goalText": "<string>",
  "targetVisibility": 50,
  "targetDeadline": "2023-12-25"
}
'
{
  "workstream": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "topicIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "attributes": [
      "<string>"
    ],
    "archivedAt": "2023-11-07T05:31:56Z",
    "currentGoal": {
      "effectiveFrom": "2023-11-07T05:31:56Z",
      "goalText": "<string>",
      "targetVisibility": 50,
      "targetDeadline": "2023-12-25"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openlens.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Clerk API key. Create one from your account settings under API Keys.

Path Parameters

id
string<uuid>
required

Body

application/json
goalText
string | null
Maximum string length: 300
targetVisibility
number | null
Required range: 0 <= x <= 100
targetDeadline
string<date> | null

Response

Successful response

workstream
object